Subject: Re: bug#22838: New 'Binary file' detection considered harmful

From: Bruce Dubbs <[email-masked]>
Date: Mon, 29 Feb 2016 20:24:34 -0600

Paul Eggert wrote:

> $ printf '\200\n' | LC_ALL=C grep .
> Binary file (standard input) matches
>
> This is because the C locale is pure ASCII on these platforms, i.e.,
> '\200' is not a valid character the way it is with traditional Unix.  I
> don't know why Red Hat made that change.

I also get the 'Binary file (standard input) matches' output from the 
above string on a Linux From Scratch system.  We build everything in a 
fairly generic way and did nothing special in this area.  I suspect this 
is something buried deep into glibc.

   -- Bruce